SuSE 10 Security Update : radvd (ZYPP Patch Number 7824)

High Nessus Plugin ID 57251


The remote SuSE 10 host is missing a security-related patch.


This update of radvd fixes multiple buffer overread flaws in the process_ra() function that could have potentially lead to crashes (CVE-2011-3604). Additionally, a temporary Denial of Service flaw that could be triggered with a flood of ND_ROUTER_SOLICIT has been fixed.


Apply ZYPP patch number 7824.

See Also

Plugin Details

Severity: High

ID: 57251

File Name: suse_radvd-7824.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2011/12/13

Modified: 2014/02/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/11/03

Reference Information

CVE: CVE-2011-3604, CVE-2011-3605